Vous êtes nouveau sur Developpez.com ? Créez votre compte ou connectez-vous afin de pouvoir participer !

Vous devez avoir un compte Developpez.com et être connecté pour pouvoir participer aux discussions.

Vous n'avez pas encore de compte Developpez.com ? Créez-en un en quelques instants, c'est entièrement gratuit !

Si vous disposez déjà d'un compte et qu'il est bien activé, connectez-vous à l'aide du formulaire ci-dessous.

Identifiez-vous
Identifiant
Mot de passe
Mot de passe oublié ?
Créer un compte

L'inscription est gratuite et ne vous prendra que quelques instants !

Je m'inscris !

Sortie : Spring Framework 3.1 GA
La nouvelle version majeure du framework de SpringSource

Le , par Hikage

22PARTAGES

5  0 
Sortie : Spring Framework 3.1 GA
La nouvelle version majeure du framework de SpringSource

SpringSource annonce enfin la disponibilité de Spring Framework 3.1, la nouvelle version majeure de leur framework phare.

Les principales nouveautés :
  • Jeux d'annotations pour activer des fonctionnalités à la manière de ce qui existe en XML
  • Nouveau système d'abstraction de cache
  • Système de gestion d'environnement et de profiles afin de permettre de déployer un même artefact dans plusieurs environnements facielements
  • Support des Servlet 3.0 pour une configuration zéro-xml !
  • Support de fork/join de Java 7
  • Support de JDBC 4.1

Plus d'informations :

Annonce sur le blog de SpringSource
Télécharger
Documentation
Changelog

Une erreur dans cette actualité ? Signalez-le nous !

Avatar de Hikage
Rédacteur https://www.developpez.com
Le 16/12/2011 à 14:56
Je ne vois pas en quoi une documentation exhaustive est un mal, bien au contraire.
1  0 
Avatar de Jojo K-ri
Membre régulier https://www.developpez.com
Le 15/12/2011 à 20:40
lol
la doc est toujours aussi verbeuse, il faut déjà au moins une soirée pour lire le sommaire en entier PTDR
0  0 
Avatar de ray_fab
Membre habitué https://www.developpez.com
Le 19/02/2012 à 23:58
J'essaie de le mettre en place mais des petits soucis pour Java config.
Une incompatibilé entre Spring 3.1 et spring-java-config-1.0m4, la valeur de defaultAutowire dans l'annotation @Configuration de java-config est seuleument compatible avec Spring 2.5, de belles choses telles que l'annotation @Plugin permettant d'avoir une extension des annotations est impossible à mettre en place à cause de cette incompatibilité. si quelqu'un a réussi à le faire la personne peut me dire avec quelle version de spring-java-config cela fonctionne. Sinon tout simplement comment définir un aspect gérant les extensions des annotations à l'idée de ce que propose @Plugin.
Merci.
0  0